#version 400 core

in vec2 TexCoord;

out vec4 color;

uniform sampler2D tex;
uniform int transparency;
void main() {	
	vec4 tmp = texture(tex, TexCoord);
	
	if(transparency > 0 && tmp.a < 0.1)
		discard;
	
	color = texture(tex, TexCoord);
}